From 7a1bb990a57534759265f37fc1c688057201ed9c Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Apr 03 2022 17:44:13 +0000
Subject: [PATCH 21/28] [xen]: upgrade to v4.16.0


---

diff --git a/pcr/xen/ChangeLog b/pcr/xen/ChangeLog
index ced2001..e028522 100644
--- a/pcr/xen/ChangeLog
+++ b/pcr/xen/ChangeLog
@@ -1,40 +1,325 @@
-2018-01-04 John Thomson
-    * 4.10.0-2
-    XSA-253 x86: memory leak with MSR emulation
-
-2017-12-13 John Thomson
-    * 4.10.0-1
-    Xen 4.10 release
-
-2017-12-04 John Thomson
-    * 4.10.0rc8
-    Xen 4.10 release candidate 8
-
-2017-12-01 John Thomson
-    * 4.10.0rc7
-    Xen 4.10 release candidate 7
-
-2017-11-23 John Thomson
-    * 4.10.0rc6
-    Xen 4.10 release candidate 6
-
-2017-11-18 John Thomson
-    * 4.10.0rc5
-    Xen 4.10 release candidate 5
-    grub multiboot2 config generator updated
-
-2017-11-13 John Thomson
-    * 4.10.0rc4
-    Xen 4.10 release candidate 4
-
-2017-11-02 John Thomson
-    * 4.10.0rc3
-    Xen 4.10 release candidate 3
-
-2017-10-23 John Thomson
-    * 4.10.0rc2
-    Xen 4.10 release candidate 2
-
-2017-10-18 John Thomson
-    * 4.10.0rc1
-    Xen 4.10 release candidate 1
+2022-02-15
+	* 4.16.0-3
+	* forgot to wrap qemu subpackage in an if
+
+2022-02-06
+	* 4.16.0-2
+	* security patches
+	* qemu and stubdom now generate split packages
+
+2021-12-28 Sam Mulvey
+	* 4.16.0-1
+	* simple bump
+
+2021-09-28 Sam Mulvey
+	* 4.15.1-1
+	* no patches at all, compiles cleanly
+
+2021-09-09 Sam Mulvey
+	* 4.15.0-4
+	* adds a PVH security patch
+
+2021-08-28 Sam Mulvey
+	* 4.15.0-3
+	* EFI fixes
+	* continued GCC11 changes
+	* XSA: 379 380 382 383
+
+2021-04-15 Sam Mulvey
+	* 4.15.0-1
+	* stubdom build now defaults false
+
+2021-01-12 Sam Mulvey
+	* 4.14.1-1
+
+2020-11-10 Sam Mulvey
+	* 4.14.0-4
+	re-added XSA patch file handling
+
+2020-08-10 Sam Mulvey
+	* 4.14.0-1
+	option to build own QEMU is added, and default
+
+2020-08-20 Sam Mulvey
+	* 4.13.1-4
+
+2019-08-15 Maik Broemme
+	* 4.12.1-1
+	Xen 4.12.1
+
+2019-04-29 Maik Broemme
+	* 4.12.0-1
+	Xen 4.12.0
+
+2018-07-24 Maik Broemme
+	* 4.11.0-2
+	Updated version in 'xen.install' file
+
+2018-07-12 Maik Broemme
+	* 4.11.0-1
+	Xen 4.11.0
+
+2018-05-15 Maik Broemme
+	* 4.10.1-3
+	Apply XSA patches: 260 261 262
+
+2018-05-15 Maik Broemme
+	* 4.10.1-2
+	Fix compilation issue with gcc-8
+
+2018-05-08 Maik Broemme
+	* 4.10.1-1
+	Xen 4.10.1
+
+2018-05-03 Maik Broemme
+	* 4.10.0-6
+	Replace 'mingw-w64-binutils' with 'binutils'
+
+2018-05-03 Maik Broemme
+	* 4.10.0-5
+	Fix missing path of '--with-system-ovmf' parameter
+	Fix compilation issue with glibc-2.27
+	Apply XSA patches: 258
+
+2018-04-11 Maik Broemme
+	* 4.10.0-4
+	PKGBUILD cleanup
+	Update ipxe to latest version
+	Align dependencies between qemu-xen and qemu-xen-traditional
+	Remove no longer needed '-Werror' fixes
+
+2018-04-09 Maik Broemme
+	* 4.10.0-3
+	Fix '(XEN) parameter "/boot/xen-4.10.0.gz" unknown!' issue
+
+2018-04-09 Maik Broemme
+	* 4.10.0-2
+	Make dependencies independent from build system
+	Apply XSA patches: 253 254 255 256
+
+2018-02-20 Maik Broemme
+	* 4.10.0-1
+	Xen 4.10.0
+
+2017-09-30 Janne Heß
+	* 4.9.0-2
+	Add spice-glib dependency
+	Fix build with PIC
+	Apply XSA patches: 226 227 228 229 230 231 232 233 234 235
+
+2017-07-20 Janne Heß
+	* 4.9.0
+	Xen 4.9.0
+	Completely patch out Werror
+	Remove all obsolete patches
+
+2017-05-06 Janne Heß
+	* 4.8.0-7
+	Apply XSA patches: 213 214
+
+2017-04-07 Janne Heß
+	* 4.8.0-6
+	Remove last pieces of OVMF and SeaBIOS
+	Specify location of SeaBIOS
+	Apply XSA patch: 212
+
+2017-03-28 Janne Heß
+	* 4.8.0-5
+	Split out SeaBIOS and OVMF
+	Disable Werror
+	Apply XSA patch: 211
+
+2017-03-09 Janne Heß
+	* 4.8.0-4
+	Merge with xen-docs
+	Fix lzo dependency
+	Add mingw-w64-binutils as dependency
+
+2017-02-27 Janne Heß
+	* 4.8.0-3
+	Apply XSA patches: 207 208 209 210
+
+2017-01-12 Janne Heß
+	* 4.8.0-2
+	Xen 4.8.0
+	Update all downloaded packages
+	Remove all obsolete patches
+	Apply XSA patch: 203, 204
+
+2016-09-18 John Thomson
+	* 4.7.0-3
+	Apply XSA patch: 185, 186, 187
+
+2016-09-03 John Thomson
+	* 4.7.0-2
+	Apply XSA patch: 182, 183, 184
+
+2016-06-24 John Thomson
+	* 4.7.0-1
+	Xen 4.7.0
+
+2016-06-11 John Thomson
+	* 4.6.1-7
+	Apply XSA patch: 175, 178, 181
+
+2016-05-23 John Thomson
+	* 4.6.1-6
+	Apply XSA patch: 180
+
+2016-05-19 John Thomson
+	* 4.6.1-5
+	Apply XSA patch: 176
+
+2016-05-12 John Thomson
+	* 4.6.1-4
+	Apply XSA patch: 179
+	Patches for GCC6
+
+2016-04-19 John Thomson
+	* 4.6.1-3
+	Apply XSA patch: 173
+
+2016-03-31 John Thomson
+	* 4.6.1-2
+	Apply XSA patch: 172
+
+2016-02-19 John Thomson
+	* 4.6.1-1
+	Xen source package updated to 4.6.1
+	Apply XSA patch: 170
+
+2016-02-19 John Thomson
+	* 4.5.2-1
+	Xen source package updated to 4.5.2
+	Build xen.efi with mingw-w64-binutils
+	Build ovmf
+	Apply XSA patches: 154, 156, 158 to 160, 162 to 168, and 170
+
+2015-07-04 David Sutton <kantras - gmail.com>
+	* 4.5.1-1
+	New major release from upstream
+	Added -fno-caller-saves CFLAG to PKGBUILD to work around GCC5 issues
+	Added in some compile fixes for GCC 5
+	Disabled OVMF for now until patched for GCC 5
+
+2015-05-13 David Sutton <kantras - gmail.com>
+	* 4.5.0-3
+	Added Security patches
+
+2015-04-08 David Sutton <kantras - gmail.com>
+	* 4.5.0-2
+	Updated PKGBUILD to use absolute instead of relative paths for install
+	Updated efi-xen.cfg with syntax fix
+	Added gnuttls-3.4.0 patch 
+	Added security patches
+
+2015-03-01 David Sutton <kantras - gmail.com>
+	* 4.5.0-1 
+	New major release from upstream
+	Cleaned up old XSA patches
+	Removed old systemd support patches and realigned with the new upstream methods
+
+2014-10-26 David Sutton <kantras - gmail.com>
+	* 4.4.1-3
+	Enabled OVMF support and added patches to fix compile
+	Enabled spice support and added patch to enable qemu support in qemu-xen
+	Added figlet as an make dependancy for the ascii art version number
+	Including an example xen.cfg package for people who will be using EFI
+	Additional cleanup (explictly disabling some unnecessary libraries)
+
+2014-10-12 David Sutton <kantras - gmail.com>
+	* 4.4.1-2:
+	Added XSA 104, 105, 106, 107 and 108 security patches
+	Added .config to resolve compile issues where /etc/sysconfig exists
+
+2014-09-04 David Sutton <kantras - gmail.com>
+	* 4.4.1-1:
+	New Upstream release
+	Cleared out unnecessary patches (security, gcc compile and pit)
+
+2014-06-22 David Sutton <kantras - gmail.com>
+	* 4.4.0-6:
+	Added additional patch to support XSA 100 on AMD platform
+
+2014-06-17 David Sutton <kantras - gmail.com>
+	* 4.4.0-5:
+	Added XSA 96 and 100 security patches
+	Added patch to explictly disable searching for bluez libs
+	Cleaned up PKGBUILD
+
+2014-05-17 David Sutton <kantras - gmail.com>
+	* 4.4.0-4:
+	Added patch to fix shutdown issues with pvh domains
+
+2014-05-01 David Sutton <kantras - gmail.com>
+	* 4.4.0-3:
+        Added XSA 92 Security patch
+        Added fix for compiling under GCC 4.9.0 (From Fedora Rawhide SRPM)
+        Added updates to 09_xen to closer match system 10_linux
+
+2014-03-11 David Sutton <kantras - gmail.com>
+	* 4.4.0-2:
+	Moved xen-syms file so 09_xen won't pick it up as a potential kernel.
+	Added XSA 89 Security patch
+	Minor PKGBUILD cleanup/changes
+
+2014-03-10 David Sutton <kantras - gmail.com>
+	* 4.4.0-1:
+	New upstream release
+	Cleaned up old unnecessary patches
+
+2014-02-19 David Sutton <kantras - gmail.com>
+	* 4.3.2-1:
+	New upstream release
+	Removed unnecessary security patches (since now integrated into source)
+	Attempts to pull down additional required source file to ensure not corrupted
+	Added missing dependancy libseccomp
+
+2013-11-25 David Sutton <kantras - gmail.com>
+	* 4.3.1-2:
+	Changed bluez dependancy from bluez4 to bluez
+	Added recent security patches
+
+2013-10-31 David Sutton <kantras - gmail.com>
+	* 4.3.1-1:
+	New upstream release
+	Removed unnecessary security patches (already merged)
+	Fixed BIOS Workaround patch to apply to the new source files
+	Fixed ATI Passthrough patch to apply to the new source files
+	Updated paths in all patches
+
+2013-09-29 David Sutton <kantras - gmail.com>
+	* 4.3.0-7:
+	Fixed optdepends in PKGBUILD
+	Added in a pre_remove function in xen.install to disable services
+	Minor text formating changes in xen.install
+	Added XSA 62,63,64 and 66 patches (Xen Security Advisories)
+
+2013-09-29 David Sutton <kantras - gmail.com>
+	* 4.3.0-6:
+	Fixed 09_xen so it can detect lts kernels
+
+2013-09-28 David Sutton <kantras - gmail.com>
+	* 4.3.0-5:
+	Fixed mount option in 09_xen from ro to rw
+	Added in dummy /etc/xen/grub.conf to control settings in 09_xen
+	Fix library sanitize so that it returns to the base directory
+	Move the syms file to /usr/share/xen so that it is out of the way of boot but still accessible
+	Added optional dependancy for openvswitch
+
+2013-08-13 David Sutton <kantras - gmail.com>
+	* 4.3.0-4 :
+	Added patch for qemu-xen to add a TOM register for PCI Hole mapping
+	Protected /etc/conf.d/xendomains from being overwritten
+	Included ATI Passthrough patch (not enabled by default, compile tested only)
+
+2013-07-23 David Sutton <kantras - gmail.com>
+
+        * 4.3.0-3 :
+        added ChangeLog.
+        Cleaned up PKGBUILD to match Arch Package Standards
+        Fixed some path references - /var/run to /run
+        Removed some unnecessary empty directories
+        Updated xenconsoled and xenstored so they use /run for pid file
+        Updated auto-created /run directories to include xenstored
+
